CPUTYPE?=znver4
WITH_MALLOC_PRODUCTION=YES
WITHOUT_LLVM_ASSERTIONS=YES
WITH_REPRODUCIBLE_BUILD=YES

WITHOUT_DEBUG_FILES=YES
WITHOUT_ASSERT_DEBUG=YES
WITHOUT_LLVM_TARGET_ALL=YES
WITHOUT_LIB32=YES
WITHOUT_HTML=YES

WITHOUT_OFED=YES # OpenFabrics Enterprise Distributio
WITHOUT_FLOPPY=YES
WITHOUT_IPFILTER=YES
WITHOUT_GAMES=YES
WITH_SORT_THREADS=YES
WITHOUT_TESTS=YES
WITHOUT_USB_GADGET_EXAMPLES=YES
WITHOUT_HYPERV=YES
WITHOUT_LEGACY_CONSOLE=YES

# Would be fun to experiment with:
# WITHOUT_SOURCELESS=YES
# WITHOUT_LOADER_GELI=YES
# WITHOUT_MLX5TOOL=YES
# WITHOUT_NDIS=YES
# WITHOUT_PPP=YES
# WITHOUT_TALK=YES
# WITHOUT_TCSH=YES
# WITHOUT_KERNEL_SYMBOLS=YES

# Commented out because maybe I want email alerts for failing disks
# WITHOUT_MAIL=YES

# Some ports like curl depend on kerberos by default. I figure I'd rather just have kerberos built into the base system than depend on a port.
# WITHOUT_KERBEROS=YES

# Need to enable IPFW for dummynet
# WITHOUT_IPFW=YES
